diff mbox

xfstests: btrfs/014: add a regression test for snapshot creation

Message ID 1380290137-5484-1-git-send-email-jbacik@fusionio.com (mailing list archive)
State Not Applicable
Headers show

Commit Message

Josef Bacik Sept. 27, 2013, 1:55 p.m. UTC
We had a regression where you couldn't snapshot a file system if you mounted it
ro and then remounted it rw.  This is a test that does just that to make sure we
don't have this problem again.  I ran the test without the fix and it blew up,
and then applied the fix and verified that it passed.  Thanks,

Signed-off-by: Josef Bacik <jbacik@fusionio.com>
---
 tests/btrfs/014     | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/btrfs/014.out |  2 ++
 tests/btrfs/group   |  1 +
 3 files changed, 64 insertions(+)
 create mode 100644 tests/btrfs/014
 create mode 100644 tests/btrfs/014.out

Comments

Stefan Behrens Sept. 27, 2013, 3:52 p.m. UTC | #1
On Fri, 27 Sep 2013 09:55:37 -0400, Josef Bacik wrote:
> We had a regression where you couldn't snapshot a file system if you mounted it
> ro and then remounted it rw.  This is a test that does just that to make sure we
> don't have this problem again.  I ran the test without the fix and it blew up,
> and then applied the fix and verified that it passed.  Thanks,
> 
> Signed-off-by: Josef Bacik <jbacik@fusionio.com>
> ---
>  tests/btrfs/014     | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++
>  tests/btrfs/014.out |  2 ++
>  tests/btrfs/group   |  1 +
>  3 files changed, 64 insertions(+)
>  create mode 100644 tests/btrfs/014
>  create mode 100644 tests/btrfs/014.out
> 
> diff --git a/tests/btrfs/014 b/tests/btrfs/014
> new file mode 100644
> index 0000000..8302f5f
> --- /dev/null
> +++ b/tests/btrfs/014
> @@ -0,0 +1,61 @@
> +#! /bin/bash
> +# FS QA Test No. btrfs/014
> +#
> +# Regression test to make sure we can create a snapshot after mounting with
> +# readonly and remounting rw.
> +#
> +#-----------------------------------------------------------------------
> +# Copyright (c) 2013 Fusion IO.  All Rights Reserved.
> +#
> +# This program is free software; you can redistribute it and/or
> +# modify it under the terms of the GNU General Public License as
> +# published by the Free Software Foundation.
> +#
> +# This program is distributed in the hope that it would be useful,
> +# but WITHOUT ANY WARRANTY; without even the implied warranty of
> +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
> +# GNU General Public License for more details.
> +#
> +# You should have received a copy of the GNU General Public License
> +# along with this program; if not, write the Free Software Foundation,
> +# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
> +#
> +#-----------------------------------------------------------------------
> +#
> +
> +seq=`basename $0`
> +seqres=$RESULT_DIR/$seq
> +echo "QA output created by $seq"
> +
> +here=`pwd`
> +tmp=/tmp/$$
> +
> +status=1	# failure is the default!
> +
> +_cleanup()
> +{
> +	rm -f $tmp.*
> +}
> +
> +trap "_cleanup ; exit \$status" 0 1 2 3 15
> +
> +# get standard environment, filters and checks
> +. ./common/rc
> +. ./common/filter
> +
> +# real QA test starts here
> +_supported_fs btrfs
> +_supported_os Linux
> +_require_scratch
> +
> +rm -f $seqres.full
> +
> +_scratch_mkfs > /dev/null 2>&1
> +_scratch_mount -o ro
> +_scratch_mount -o rw,remount
> +
> +$BTRFS_UTIL_PROG sub snap $SCRATCH_MNT $SCRATCH_MNT/snap >> $seqres.full 2>&1 \
> +	|| _fail "couldn't create snapshot"
> +
> +echo "Silence is golden"
> +status=0 ; exit
> diff --git a/tests/btrfs/014.out b/tests/btrfs/014.out
> new file mode 100644
> index 0000000..db5250b
> --- /dev/null
> +++ b/tests/btrfs/014.out
> @@ -0,0 +1,2 @@
> +QA output created by 014
> +Silence is golden
> diff --git a/tests/btrfs/group b/tests/btrfs/group
> index 8a168d5..3a5747f 100644
> --- a/tests/btrfs/group
> +++ b/tests/btrfs/group
> @@ -16,3 +16,4 @@
>  011 auto
>  012 auto quick
>  013 auto quick
> +014 auto quick
> 

Nothing to complain about.

Reviewed-by: Stefan Behrens <sbehrens@giantdisaster.de>


--
To unsubscribe from this list: send the line "unsubscribe linux-btrfs" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Rich Johnston Oct. 18, 2013, 10:30 p.m. UTC | #2
The test was renumbered and committed.

Thanks
--Rich

commit 56a3959a96f1b5e046b3760778fd34b4911d0516
Author: Josef Bacik <jbacik@fusionio.com>
Date:   Fri Sep 27 13:55:37 2013 +0000

     xfstests: btrfs/015: add a regression test for snapshot creation
--
To unsubscribe from this list: send the line "unsubscribe linux-btrfs" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
diff mbox

Patch

diff --git a/tests/btrfs/014 b/tests/btrfs/014
new file mode 100644
index 0000000..8302f5f
--- /dev/null
+++ b/tests/btrfs/014
@@ -0,0 +1,61 @@ 
+#! /bin/bash
+# FS QA Test No. btrfs/014
+#
+# Regression test to make sure we can create a snapshot after mounting with
+# readonly and remounting rw.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2013 Fusion IO.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+
+status=1	# failure is the default!
+
+_cleanup()
+{
+	rm -f $tmp.*
+}
+
+trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+_supported_fs btrfs
+_supported_os Linux
+_require_scratch
+
+rm -f $seqres.full
+
+_scratch_mkfs > /dev/null 2>&1
+_scratch_mount -o ro
+_scratch_mount -o rw,remount
+
+$BTRFS_UTIL_PROG sub snap $SCRATCH_MNT $SCRATCH_MNT/snap >> $seqres.full 2>&1 \
+	|| _fail "couldn't create snapshot"
+
+echo "Silence is golden"
+status=0 ; exit
diff --git a/tests/btrfs/014.out b/tests/btrfs/014.out
new file mode 100644
index 0000000..db5250b
--- /dev/null
+++ b/tests/btrfs/014.out
@@ -0,0 +1,2 @@ 
+QA output created by 014
+Silence is golden
diff --git a/tests/btrfs/group b/tests/btrfs/group
index 8a168d5..3a5747f 100644
--- a/tests/btrfs/group
+++ b/tests/btrfs/group
@@ -16,3 +16,4 @@ 
 011 auto
 012 auto quick
 013 auto quick
+014 auto quick